@import url(boilerplate.css);


/*
	Theme Styles
*/
@media screen {

	html,body {margin:0;padding:0}
	body {
		font-family: Verdana,sans-serif;
	   text-align: left;
	   background: #fff;
	   padding-bottom:20px;
	   font-size: 0.9em;
	}
	a { color: #0066B3; background: inherit; text-decoration: none;}
	h1 { font: bold 2em Arial, Sans-Serif; color: #036DA7; margin-bottom: 20px; }
	h2 { font: 1.5em Arial, Sans-Serif; }

	div#header{width:100%;overflow:hidden;background: #BBD9EE; }
	div#header h1,div#menu{width:770px;margin:0 auto;text-align:left}
	div#header h1{padding: 30px 0 20px;color: #fff}

	ul#nav,ul#nav li{list-style-type:none;margin:0;padding:0}
	ul#nav{float:right;}
	ul#nav li{float:left;margin-left: 3px;text-align: center}
	ul#nav a{float:left;padding: 5px 5px;background: #E7F1F8;text-decoration:none;color: #666; border-top : 1px solid #fff; border-left : 1px solid #fff; border-right : 1px solid #fff;}
	ul#nav a:hover{background: #fff;color: #000}
	ul#nav li.activelink a,ul#nav li.activelink a:hover{background: #FFF;color: #003}

	#left {
		float: left;
		width: 76%;
		padding: 1em;
		margin-bottom: 1.2em;
		background: #fff;
		text-align: left;
	}

	#right {
		float: right;
		width: 15%;
		margin: 0 0 10px 0;

	}

	#right .box {

		padding: 1em;
		margin: 0 0 1em 0;
		background : #FFF6BF;
	}


	#content {
		margin: 0 auto;
	   padding: 15px;
		background: #fff;
	}

	div.alert,
	#flash {
		padding: 4px 4px 4px 10px;
		font-size: 1.3em;
		border: 1px solid #F33;
		background-color: #FFD700;
		margin-bottom: 10px;
	}

	/*
		General element styles
	*/

	ul {  padding: 0; margin: 0;}
	li { list-style-type: none;}

	td, th { padding: 4px;  }

	input,
	select,
	a.button,
	button,
	textarea {
		border: 1px solid #999;
		padding: 1px;
		font-size: 1em;
		background-color: #def;
	}


	/*
		Application Index Styles
	*/

	table.index {
		width: 98%;
	}

	table.index td,
	table.index th {
		border: 1px solid #bbb;
		font-size: 0.9em;
	}

	table.index tr.even {
		background-color: #eee;
	}


	table.index tr:hover {
		background-color: #eff;
	}

	table.index tr:hover.spacer,
	table.index tr.spacer td {
		border: 0px;
		padding: 10px;
		background-color: #fff;
	}

	table.index th {
		background-color: #BAD8EE;
		color: #222;
		font-family: verdana;
		font-size: 0.9em;
		vertical-align: middle;
		text-align: center;
		white-space: nowrap;
	}

	tr.half-alert td,
	tr.half-alert td a {
		background-color: #FFD700;
		color: black;
		font-weight: bold;
	}

	tr.alert td,
	tr.alert td a {
		background-color: #EE8B8A;
		color: white;
		font-weight: bold;
	}


	tr.closed a {
		color: #bbb;
	}

	tr.Owner td.UserName a:before {
		content: url('../img/icons/16x16/apps/system-users.png');
		padding-right: 5px;
	}

	tr.Vendor td.UserName a:before {
		content: url('../img/icons/16x16/categories/applications-development.png');
		padding-right: 5px;
	}

	tr.Management td.UserName a:before {
		content: url('../img/icons/16x16/actions/contact-new.png');
		padding-right: 5px;
	}

	tr.Admin td.UserName a:before {
		content: url('../img/icons/16x16/mimetypes/application-certificate.png');
		padding-right: 5px;
	}

	tr.disabled td,
	tr.disabled td a {
		color: #666;
		background-color: #ccc;
	}


	/*
		Application Add/Edit Form Styles
	*/

	form.model li,
	div.input {
		margin-bottom: 4px;
	}

	form.model label,
	div.input label {
		float: left;
		width: 180px;
		text-align: right;
		padding-right: 5px;
	}

	div.column-100 {
		width: 95%;
		padding: 10px;
	}

	div.column-50 {
		width: 45%;
		float:left;
		padding: 10px;
	}

	div.column-50 label {
		float: left;
		width: 80px;
		text-align: right;
		padding-right: 5px;
	}

	div.column-25 {
		width: 20%;
		float:left;
		padding: 10px;
	}

	div.column-75 {
		width: 70%;
		float:left;
		padding: 10px;
	}

	/*.error-message:before {
		content: '<-';
	}*/

	.error-message {
		color: red;
		font-weight: bold;
		display: inline;
	}

	.error.message {
		color: red;
		font-weight: bold;
		display: inline;
	}

	.success.message {
		color: green;
		font-weight: bold;
		display: inline;
	}

	div.column-33 {
		float: left;
		width: 29%;
		padding: 5px;
		margin-right: 10px;
	}

	div.column-33 h2 {
		border-bottom: 1px solid black;
	}

	div.scrollable {
		overflow: auto;
		height: 200px;
	}

	label {
		float: left;
		width: 150px;
		padding-right: 5px;
		text-align: right;
	}

	div.checkbox input {
		margin-left: 185px;
	}

	div.checkbox label {
		float: none;
		padding-left: 5px;
	}

	div.submit {
		padding-left: 185px;
	}

	div.column-50 div.submit {
		padding-left: 85px;
	}

	ul.ticket-history li {
		padding: 5px;
		border-bottom: 1px solid black;
		font-size: 0.9em;
	}


	/*
	 * Application View Styles
	 */

	dl.view {
		}

	dl.view dt {
		float: left;
		width: 180px;
		text-align:right;
		padding: 2px 5px 2px 2px;
		clear: left;
		background-color: #eee;

	}

	dl.view dd {
		padding: 2px;
		margin-left: 5px;
		float: left;
	}

	ul.action-buttons a,
	a.button {
		border: 1px solid #999;
		font-size: 1em;
		background-color: #def;

		text-decoration: none;
		padding: 3px 7px ;
		margin-bottom: 30px;
		white-space: nowrap;
	}

	ul.action-buttons a:hover,
	a.button:hover {
		background-color: #eee;
	}

	div.auto_complete    {
	     position         :absolute;
	     width            :250px;
	     background-color :white;
	     border           :1px solid #888;
	     margin           :0px;
	     padding          :0px;
	}
	li.selected    { background-color: #ffb; }

	.tooltip {
		background-color: #ccc;
		width: 200px;
		font-size: 0.8em;
		padding: 5px;
		border: 3px solid #666;
	}

	@media print {
		#right { display: none; }
	}

	a.disabled {
		color: #fff;
	}

	.pagination-numbers ul li {
  	  display: inline-block;
  	  margin-left: 5px;
    }

    .pagination-numbers ul li.active a {
      color: black;
    }

    .pagination-numbers ul {
      display: inline-block;
    }

    .pagination-navigation {
      display: inline-block;
    }

    .pagination-navigation li.disabled a {
      pointer-events: none;
      cursor: default;
      text-decoration: none;
      color: black;
    }

    .pagination-navigation li {
      display: inline-block;
      margin-left: 5px;
    }
    .pagination-counter {
      padding-bottom: 20px;
    }
}
